View Issue Details

IDProjectCategoryView StatusLast Update
0001411Main CAcert Websitewebsite contentpublic2016-03-01 21:44
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs review & testingResolutionopen 
Product Version2016 Q1 
Target Version2016 Q1 
Summary0001411: Change all PayPal donations buttons to the payment sites of CAcert in EUR
DescriptionAll buttons should point to the CAcert PayPal payment in EUR
index.php
index.php?id=5
index.php?id=13
index.php?id=21 not need as this points already to EUR
TagsNo tags attached.
Reviewed byBenBE
Test Instructionscheck the PayPal links on these pages /index.php, /index.php/?id=5, /index.php?id=13, /index.php/id=21 point to pages with EUR.

Activities

INOPIAE

2016-02-09 19:47

updater  

Code for the Donation button.txt (357 bytes)   
Code for the Donation button
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
    <input type="hidden" name="cmd" value="_s-xclick">
    <input type="hidden" name="hosted_button_id" value="EZK8Y6X9YTHXU">
    <input type="image" src="assets/img/payment2.png" name="submit" alt="CAcert Donation through PayPal">
</form> 

INOPIAE

2016-02-09 20:54

updater  

Code for the Password reset button.txt (465 bytes)   
Code for Password reset button (image and alt information needs to be adjusted.)

<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="QDYURHL9U25MJ">
<input type="image" src="https://www.paypalobjects.com/en_AU/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">

</form> 

INOPIAE

2016-02-09 20:57

updater  

Code for the 5 EUR button.txt (460 bytes)   
Code for 5 EUR reset button (image and alt information needs to be adjusted.)

<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="UE5AAKFUSPVGJ">
<input type="image" src="https://www.paypalobjects.com/en_AU/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">
</form> 

INOPIAE

2016-02-09 20:58

updater  

Code for the 50 EUR button.txt (461 bytes)   
Code for 50 EUR reset button (image and alt information needs to be adjusted.)

<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="SCUEVED6X24CC">
<input type="image" src="https://www.paypalobjects.com/en_AU/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal — The safer, easier way to pay online.">
</form> 

INOPIAE

2016-02-26 06:18

updater   ~0005507

I pushed a fix to https://github.com/INOPIAE/CAcert/tree/bug-1411

reinhardm

2016-02-26 20:54

updater   ~0005508

tested all of the above variants
index.php
index.php?id=5
index.php?id=13
index.php?id=21
by clicking the paypal button and checked the results.
All amount are displayed in EURO, symbol € and text EUR is displayed.

Test successfull.

aterpotiz

2016-03-01 20:31

updater   ~0005509

test result:

index.php
    Text AU$50 (wrong text over Button1)
    Button1 --> Paypal € 50.00
    Button 2 --> PayPal € 5.00

index.php?id=5
    Button1 --> PayPal € 15.00

index.php?id=13
    Button1 --> PayPal € 0.00 (Change Button Logo to Donation?)

index.php?id=21
    Button1 --> PayPal € 10.00 / Year
    Button2 --> PayPal € 10.00

Test for Euro -- OK

StefanT

2016-03-01 20:33

updater   ~0005510

Test with Chrome Version 48.0.2564.116 m
Paypal Links tested:
index.php EUR OK Buttons OK
index.php?id=5 EUR OK Button OK
index.php?id=13 EUR OK Button is for payment and not for donations
index.php?id=21 EUR OK Buttons OK
On Side 13 the Button should be replaced to a donation button

INOPIAE

2016-03-01 21:44

updater   ~0005511

I pushed a new fix to https://github.com/INOPIAE/CAcert/tree/bug-1411 [^]

Issue History

Date Modified Username Field Change
2016-02-09 19:46 INOPIAE New Issue
2016-02-09 19:47 INOPIAE File Added: Code for the Donation button.txt
2016-02-09 19:53 INOPIAE Description Updated View Revisions
2016-02-09 20:31 felixd Description Updated View Revisions
2016-02-09 20:39 INOPIAE Description Updated View Revisions
2016-02-09 20:54 INOPIAE File Added: Code for the Password reset button.txt
2016-02-09 20:57 INOPIAE File Added: Code for the 5 EUR button.txt
2016-02-09 20:58 INOPIAE File Added: Code for the 50 EUR button.txt
2016-02-11 23:24 BenBE Assigned To => MissPi
2016-02-11 23:24 BenBE Status new => needs work
2016-02-26 06:18 INOPIAE Note Added: 0005507
2016-02-26 06:19 INOPIAE Assigned To MissPi => BenBE
2016-02-26 06:19 INOPIAE Status needs work => fix available
2016-02-26 06:21 INOPIAE Test Instructions => check the PayPal links on these pages /index.php, /index.php/?id=5, /index.php?id=13, /index.php/21 point to pages with EUR.
2016-02-26 06:22 INOPIAE Test Instructions check the PayPal links on these pages /index.php, /index.php/?id=5, /index.php?id=13, /index.php/21 point to pages with EUR. => check the PayPal links on these pages /index.php, /index.php/?id=5, /index.php?id=13, /index.php/id=21 point to pages with EUR.
2016-02-26 19:29 BenBE Reviewed by => BenBE
2016-02-26 19:29 BenBE Status fix available => needs review & testing
2016-02-26 20:54 reinhardm Note Added: 0005508
2016-03-01 20:31 aterpotiz Note Added: 0005509
2016-03-01 20:33 StefanT Note Added: 0005510
2016-03-01 21:44 INOPIAE Note Added: 0005511